module.exports = {
  XK_VoidSymbol: 0xFFFFFF, /* Void symbol */
  XK_BackSpace: 0xFF08, /* Back space, back char */
  XK_Tab: 0xFF09,
  XK_Linefeed: 0xFF0A, /* Linefeed, LF */
  XK_Clear: 0xFF0B,
  XK_Return: 0xFF0D, /* Return, enter */
  XK_Pause: 0xFF13, /* Pause, hold */
  XK_Scroll_Lock: 0xFF14,
  XK_Sys_Req: 0xFF15,
  XK_Escape: 0xFF1B,
  XK_Delete: 0xFFFF, /* Delete, rubout */
  /* Cursor control & motion */
  XK_Home: 0xFF50,
  XK_Left: 0xFF51,
  XK_Up: 0xFF52,
  XK_Right: 0xFF53,
  XK_Down: 0xFF54,
  XK_Prior: 0xFF55,
  XK_Page_Up: 0xFF55,
  XK_Next: 0xFF56,
  XK_Page_Down: 0xFF56,
  XK_End: 0xFF57,
  XK_Begin: 0xFF58,
  /* Misc functions */
  XK_Select: 0xFF60,
  XK_Print: 0xFF61,
  XK_Execute: 0xFF62,
  XK_Insert: 0xFF63,
  XK_Undo: 0xFF65,
  XK_Redo: 0xFF66,
  XK_Menu: 0xFF67,
  XK_Find: 0xFF68,
  XK_Cancel: 0xFF69,
  XK_Help: 0xFF6A,
  XK_Break: 0xFF6B,
  XK_Mode_switch: 0xFF7E,
  XK_script_switch: 0xFF7E,
  XK_Num_Lock: 0xFF7F,
  /* 
   * Keypad functions, keypad numbers cleverly chosen to map to ASCII 
   * YOU PROBABLY WANT THE NON-KEYPAD values..
   */
  XK_KP_Space: 0xFF80,
  XK_KP_Tab: 0xFF89,
  XK_KP_Enter: 0xFF8D,
  XK_KP_F1: 0xFF91,
  XK_KP_F2: 0xFF92,
  XK_KP_F3: 0xFF93,
  XK_KP_F4: 0xFF94,
  XK_KP_Home: 0xFF95,
  XK_KP_Left: 0xFF96,
  XK_KP_Up: 0xFF97,
  XK_KP_Right: 0xFF98,
  XK_KP_Down: 0xFF99,
  XK_KP_Prior: 0xFF9A,
  XK_KP_Page_Up: 0xFF9A,
  XK_KP_Next: 0xFF9B,
  XK_KP_Page_Down: 0xFF9B,
  XK_KP_End: 0xFF9C,
  XK_KP_Begin: 0xFF9D,
  XK_KP_Insert: 0xFF9E,
  XK_KP_Delete: 0xFF9F,
  XK_KP_Equal: 0xFFBD,
  XK_KP_Multiply: 0xFFAA,
  XK_KP_Add: 0xFFAB,
  XK_KP_Separator: 0xFFAC,
  XK_KP_Subtract: 0xFFAD,
  XK_KP_Decimal: 0xFFAE,
  XK_KP_Divide: 0xFFAF,

  XK_KP_0: 0xFFB0,
  XK_KP_1: 0xFFB1,
  XK_KP_2: 0xFFB2,
  XK_KP_3: 0xFFB3,
  XK_KP_4: 0xFFB4,
  XK_KP_5: 0xFFB5,
  XK_KP_6: 0xFFB6,
  XK_KP_7: 0xFFB7,
  XK_KP_8: 0xFFB8,
  XK_KP_9: 0xFFB9,

  /*
   * Auxiliary functions; note the duplicate definitions for left and right
   * function keys;  Sun keyboards and a few other manufacturers have such
   * function key groups on the left and/or right sides of the keyboard.
   * We've not found a keyboard with more than 35 function keys total.
   */
  XK_F1: 0xFFBE,
  XK_F2: 0xFFBF,
  XK_F3: 0xFFC0,
  XK_F4: 0xFFC1,
  XK_F5: 0xFFC2,
  XK_F6: 0xFFC3,
  XK_F7: 0xFFC4,
  XK_F8: 0xFFC5,
  XK_F9: 0xFFC6,
  XK_F10: 0xFFC7,
  XK_F11: 0xFFC8,
  XK_L1: 0xFFC8,
  XK_F12: 0xFFC9,
  XK_L2: 0xFFC9,
  XK_F13: 0xFFCA,
  XK_L3: 0xFFCA,
  XK_F14: 0xFFCB,
  XK_L4: 0xFFCB,
  XK_F15: 0xFFCC,
  XK_L5: 0xFFCC,
  XK_F16: 0xFFCD,
  XK_L6: 0xFFCD,
  XK_F17: 0xFFCE,
  XK_L7: 0xFFCE,
  XK_F18: 0xFFCF,
  XK_L8: 0xFFCF,
  XK_F19: 0xFFD0,
  XK_L9: 0xFFD0,
  XK_F20: 0xFFD1,
  XK_L10: 0xFFD1,
  XK_F21: 0xFFD2,
  XK_R1: 0xFFD2,
  XK_F22: 0xFFD3,
  XK_R2: 0xFFD3,
  XK_F23: 0xFFD4,
  XK_R3: 0xFFD4,
  XK_F24: 0xFFD5,
  XK_R4: 0xFFD5,
  XK_F25: 0xFFD6,
  XK_R5: 0xFFD6,
  XK_F26: 0xFFD7,
  XK_R6: 0xFFD7,
  XK_F27: 0xFFD8,
  XK_R7: 0xFFD8,
  XK_F28: 0xFFD9,
  XK_R8: 0xFFD9,
  XK_F29: 0xFFDA,
  XK_R9: 0xFFDA,
  XK_F30: 0xFFDB,
  XK_R10: 0xFFDB,
  XK_F31: 0xFFDC,
  XK_R11: 0xFFDC,
  XK_F32: 0xFFDD,
  XK_R12: 0xFFDD,
  XK_F33: 0xFFDE,
  XK_R13: 0xFFDE,
  XK_F34: 0xFFDF,
  XK_R14: 0xFFDF,
  XK_F35: 0xFFE0,
  XK_R15: 0xFFE0,
/* Modifiers */

  XK_Shift_L: 0xFFE1, /* Left shift */
  XK_Shift_R: 0xFFE2, /* Right shift */
  XK_Control_L: 0xFFE3, /* Left control */
  XK_Control_R: 0xFFE4, /* Right control */
  XK_Caps_Lock: 0xFFE5, /* Caps lock */
  XK_Shift_Lock: 0xFFE6, /* Shift lock */

  XK_Meta_L: 0xFFE7, /* Left meta */
  XK_Meta_R: 0xFFE8, /* Right meta */
  XK_Alt_L: 0xFFE9, /* Left alt */
  XK_Alt_R: 0xFFEA, /* Right alt */
  XK_Super_L: 0xFFEB, /* Left super */
  XK_Super_R: 0xFFEC, /* Right super */
  XK_Hyper_L: 0xFFED, /* Left hyper */
  XK_Hyper_R: 0xFFEE, /* Right hyper */

/*
 * Latin 1
 * (ISO/IEC 8859-1 = Unicode U+0020..U+00FF)
 * Byte 3 = 0
 */
    XK_space: 0x020,
    XK_exclam: 0x021,
    XK_quotedbl: 0x022,
    XK_numbersign: 0x023,
    XK_dollar: 0x024,
    XK_percent: 0x025,
    XK_ampersand: 0x026,
    XK_apostrophe: 0x027,
    XK_quoteright: 0x027,
    XK_parenleft: 0x028,
    XK_parenright: 0x029,
    XK_asterisk: 0x02a,
    XK_plus: 0x02b,
    XK_comma: 0x02c,
    XK_minus: 0x02d,
    XK_period: 0x02e,
    XK_slash: 0x02f,
    XK_0: 0x030,
    XK_1: 0x031,
    XK_2: 0x032,
    XK_3: 0x033,
    XK_4: 0x034,
    XK_5: 0x035,
    XK_6: 0x036,
    XK_7: 0x037,
    XK_8: 0x038,
    XK_9: 0x039,
    XK_colon: 0x03a,
    XK_semicolon: 0x03b,
    XK_less: 0x03c,
    XK_equal: 0x03d,
    XK_greater: 0x03e,
    XK_question: 0x03f,
    XK_at: 0x040,
    XK_A: 0x041,
    XK_B: 0x042,
    XK_C: 0x043,
    XK_D: 0x044,
    XK_E: 0x045,
    XK_F: 0x046,
    XK_G: 0x047,
    XK_H: 0x048,
    XK_I: 0x049,
    XK_J: 0x04a,
    XK_K: 0x04b,
    XK_L: 0x04c,
    XK_M: 0x04d,
    XK_N: 0x04e,
    XK_O: 0x04f,
    XK_P: 0x050,
    XK_Q: 0x051,
    XK_R: 0x052,
    XK_S: 0x053,
    XK_T: 0x054,
    XK_U: 0x055,
    XK_V: 0x056,
    XK_W: 0x057,
    XK_X: 0x058,
    XK_Y: 0x059,
    XK_Z: 0x05a,
    XK_bracketleft: 0x05b,
    XK_backslash: 0x05c,
    XK_bracketright: 0x05d,
    XK_asciicircum: 0x05e,
    XK_underscore: 0x05f,
    XK_grave: 0x060,
    XK_quoteleft: 0x060,
    XK_a: 0x061,
    XK_b: 0x062,
    XK_c: 0x063,
    XK_d: 0x064,
    XK_e: 0x065,
    XK_f: 0x066,
    XK_g: 0x067,
    XK_h: 0x068,
    XK_i: 0x069,
    XK_j: 0x06a,
    XK_k: 0x06b,
    XK_l: 0x06c,
    XK_m: 0x06d,
    XK_n: 0x06e,
    XK_o: 0x06f,
    XK_p: 0x070,
    XK_q: 0x071,
    XK_r: 0x072,
    XK_s: 0x073,
    XK_t: 0x074,
    XK_u: 0x075,
    XK_v: 0x076,
    XK_w: 0x077,
    XK_x: 0x078,
    XK_y: 0x079,
    XK_z: 0x07a,
    XK_braceleft: 0x07b,
    XK_bar: 0x07c,
    XK_braceright: 0x07d,
    XK_asciitilde: 0x07e
};
